# Window.Local (sshj 0.4.0 API)
Date: 2011-06-06

## net.schmizz.sshj.connection.channel
Class Window.Local

    java.lang.Object
      net.schmizz.sshj.connection.channel.Window
          net.schmizz.sshj.connection.channel.Window.Local

Enclosing class:
  Window

    public static final class Window.Local

extends Window

Controls how much data remote end can send before an adjustment notification from us is required.

Nested Class Summary

Nested classes/interfaces inherited from class net.schmizz.sshj.connection.channel.Window
`Window.Local, Window.Remote`

Field Summary

Fields inherited from class net.schmizz.sshj.connection.channel.Window
`lock, log, maxPacketSize, size`

Constructor Summary
`Window.Local(int initialWinSize, int maxPacketSize)`

Method Summary
`int` `neededAdjustment()`

Methods inherited from class net.schmizz.sshj.connection.channel.Window
`consume, expand, getMaxPacketSize, getSize, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Window.Local

    public Window.Local(int initialWinSize,
                        int maxPacketSize)

Method Detail

### neededAdjustment

    public int neededAdjustment()

Copyright © 2009-2011. All Rights Reserved.